﻿@charset "utf-8";

@media screen, print {
    /* customization */
    a {
        color: #00406E;
    }

    #cn-foot {
        padding-top: 15px;
    }

    /*#cn-cont {margin: 0; padding: 10px 0;}*/

    #cn-in-pd {
        border-top: 15px solid #045BA6;
    }

    .ButtonAsLink2 {
        background: white;
        color: #00406E;
        text-decoration: underline;
        border: 0;
        cursor: pointer;
        padding: 0;
    }

    .ButtonAsLink:hover, .ButtonAsLink:active, .ButtonAsLink:focus {
        color: #C00;
    }

    /* accessibility make h1 look like h2 */

    /* sub nav */
    .sub-navigation {
        margin: 15px 0 0 0;
        padding: 0;
    }

        .sub-navigation li {
            float: left;
            list-style: none;
            margin: 0;
            padding: 5px 10px;
            background: #005EAF;
            border-right: solid 1px #fff;
        }

            .sub-navigation li.selected {
                background: #D9E9F6;
            }

            .sub-navigation li:hover {
                background: #FFFF6B;
            }

            .sub-navigation li a {
                text-decoration: none;
                color: #fff;
            }

                .sub-navigation li a:hover {
                    color: #000;
                }

                .sub-navigation li a:active {
                    color: white;
                }

                .sub-navigation li a:visited {
                    color: white;
                }

            .sub-navigation li.selected > a {
                color: #000;
            }

            .sub-navigation li:hover > a {
                color: #000;
            }

    .navtitle {
        clear: both;
        padding: 0;
        margin: 0;
        border: solid 3px #D9E9F6;
        /*background-color: #045BA6;*/
        background: #23447e url(data:image/gif;base64,R0lGODlhAQAcAMQAABVekhdZjyBJghhXjR9LhCJGgBdbkBVdkh1QhyFIghpUixlWjR5NhhRglBxRiB5MhRRfkxZckSNFfxtTioeuySBKgxhYjiNEfhtSiSJHgRpVjB1PhwAAAAAAAAAAAAAAACH5BAAAAAAALAAAAAABABwAAAUXINVAwBEZgTUsmjJhDrIxD1EJSVZIVwgAOw==) repeat-x;
    }

        .navtitle h1 {
            margin: 0;
            padding: 15px;
            border: none;
            color: #FFF;
            font-family: Verdana,Arial,Helvetica,sans-serif;
            font-weight: bold;
            font-size: 1.6em;
        }

    .ui-secure {
        float: left;
    }

    .navtitle h2 {
        margin: 0;
        padding: 15px;
        border: none;
        color: #FFF;
        font-family: Verdana,Arial,Helvetica,sans-serif;
        font-weight: bold;
        font-size: 1.6em;
    }

    /*
    h2 {
	    clear: both;
	    margin: 10px 0; 
	    padding: 15px; 
	    border-top: solid 3px #FFFD00;
	    color: #FFF;
	    font-family: Verdana,Arial,Helvetica,sans-serif;
	    font-weight: bold;
	    font-size: 1.6em;
	    border: solid 3px #D9E9F6;
	    background-color: #045BA6;	
    }
*/
    #cn-bcrumb h2, #cn-cmb h2, #cn-foot-inner h2 {
        padding: 0;
        border: none;
    }

    /* form */
    .error_eoad {
        color: #CC0000;
    }

    .form-style-1 fieldset {
        margin: 0 0 20px 0;
        padding: 10px;
    }

        .form-style-1 fieldset legend {
            font-weight: bold;
            font-size: 1.1em;
        }

    .form-style-1 div {
        padding: 0 0 10px 0;
    }

        .form-style-1 div.split-container {
            float: left;
            width: 50%;
        }

    .form-style-1 label {
        font-size: 0.97em;
    }

    /* removed boder style for CLF3 */
    .form-style-1 INPUT[type='text'], TEXTAREA, INPUT[type='password'], INPUT[type='file'] {
        margin-top: 3px;
        padding: 3px;
    }

    .form-report INPUT[type='text'], TEXTAREA {
        margin-top: 3px;
        padding: 3px;
    }

    .form-style-1 div.split3col {
        float: left;
        width: 33%;
    }

    /* Start Report format styles */
    .select-box {
        float: left;
        margin: 10px 0;
        width: 165px;
        height: 100px;
        border: solid 1px #ccc;
    }

    .select-buttons {
        float: left;
        width: 85px;
        margin: 10px 0;
        text-align: center;
    }

        .select-buttons input {
            display: block;
            width: 75px;
            margin: 5px;
        }

    .txt {
        border: solid 1px #ccc;
        width: 160px
    }
    /* End Report format styles */

    .form-search {
        margin: 10px 0;
    }


    /* Zebra striping */
    li.list-odd {
        background-color: #ddd !important;
        border: 1px solid #ccc;
    }

    li.list-even {
        background-color: #eee !important;
        border: 1px solid #ccc;
    }

    ol.zebra li, ol.zebra li li {
        list-style-type: none;
    }

    ol.zebra li {
        margin-bottom: 2px;
        margin-right: 0;
        min-height: 39px;
        padding: 10px;
    }

    li.list-odd:hover, li.list-even:hover {
        background-color: #F0FCFF !important;
    }

    table.zebra, table.zebra table {
        background-color: #fff;
        border: 1px solid #ccc;
        border-collapse: collapse;
        margin-bottom: 10px;
        margin-top: 0px;
        font-size: 0.97em;
    }

        table.zebra th {
            background-color: #045BA6;
            border: 1px solid #ccc;
            color: #fff;
            text-align: center;
            padding: 8px;
        }

        table.zebra td {
            border: 1px solid #ccc;
            vertical-align: top;
            padding: 5px 10px;
        }

    tr.table-odd, tr.table-even tr.table-odd {
        background-color: #f0fcff;
    }

        tr.table-even, tr.table-odd tr.table-even {
            background-color: #FFF;
        }

            tr.table-odd:hover, tr.table-even tr.table-odd:hover, tr.table-even:hover, tr.table-odd tr.table-even:hover {
                background-color: #eee !important;
            }

    /* table multi */
    th.table-hdr {
        background: #000 !important;
    }

    table.multi {
        background-color: #fff;
        border: 1px solid #ccc;
        border-collapse: collapse;
        margin-bottom: 10px;
        margin-top: 0px;
        font-size: 0.97em;
    }

        table.multi th {
            background-color: #045BA6;
            border: 1px solid #ccc;
            color: #fff;
            text-align: left;
            padding: 7px;
            font-size: 0.97em;
        }

            table.multi th a {
                color: #fff;
            }

        table.multi td {
            border: 1px solid #ccc;
            vertical-align: top;
            padding: 7px;
            font-size: 0.97em;
        }

        table.multi .icon {
            float: left;
            margin-right: 3px;
        }

    TABLE INPUT[type='text'] {
        border: solid 1px #aaa;
        padding: 2px;
    }


    /* table inner */
    table.inner {
        margin: 5px;
        width: 734px;
    }

        table.inner th {
            background-color: #bbb;
            border: 1px solid #ccc;
            color: #000;
            text-align: center;
            padding: 8px;
            text-align: left;
        }

            table.inner th a {
                color: Black;
            }

    /* Styles for the checkboxList widget */
    .checkboxList label, .checkboxList label:hover {
        background-color: transparent;
        color: #000;
    }


    /* bullet listings */
    .full-box, .half-box {
        margin: 0 0 10px 0;
        padding: 0;
        background: #F2F9FF;
        float: left;
        border: solid 3px #D9E9F6;
    }

    .full-box {
        width: 754px;
    }
    /*.half-box {width: 369px;} */
    .half-box {
        width: 369px;
        height: 300px;
        float: right;
        width: 48%;
    }

    .half-box-left {
        margin-right: 10px;
        float: left;
    }

    .full-box h2, .half-box h2 {
        padding: 10px 10px 0 10px;
        font-size: 1.2em;
        margin: 0;
        color: #045BA6;
        border-top: solid 3px #045BA6;
        font-family: Verdana,Arial,Helvetica,sans-serif;
        font-weight: bold;
    }

    .full-box div, .half-box div {
        margin: 10px;
    }

    .full-box ul, .half-box ul {
        margin: 10px 0;
        padding: 0 10px 10px 10px;
    }

        .full-box ul li, .half-box ul li {
            list-style: none;
            background-image: url("../images/c_b.gif");
            background-repeat: no-repeat;
            background-attachment: scroll;
            background-position: 0px 11px;
            background-clip: border-box;
            padding: 6px 2px 6px 14px;
            border-top: 1px dashed #cce3f2;
            margin: 0;
        }

    ul li.last {
        border-bottom: 1px dashed #cce3f2;
    }


    .full-box ul li a, .half-box ul li a {
        color: #00406E;
    }

    .full-box ul li.first, .half-box ul li.first {
        border-top: none
    }

    .multi .row-break td {
        border-top: solid 3px #00406E;
    }

    .date-cell {
        white-space: nowrap;
    }

    .multi td.date-cell INPUT.cal-month {
        background: #000;
        width: 10px;
    }

    .cal-day {
    }

    .cal-year {
    }

    .cal-icon {
        margin-top: 3px;
        vertical-align: middle;
    }

    .paging {
        margin-top: 2px;
        float: right;
    }

    /*#cn-cont {display: none;} /* hide h1 */

    body TABLE INPUT[type="text"].error-box {
        border: solid 1px #cc0000 !important;
    }

    /* functions */
    .clear {
        clear: both;
    }

    .clearfix:after {
        content: ".";
        display: block;
        height: 0;
        clear: both;
        visibility: hidden;
    }

    .clearfix {
        display: inline-block;
    }
    /* Hide from IE Mac \*/
    .clearfix {
        display: block;
    }
    /* End hide from IE Mac */

    body .no-bold {
        font-weight: normal;
    }

    .break {
        display: block;
        white-space: nowrap;
    }

    .hidden {
        display: none;
    }

    .align-left {
        text-align: left;
    }

    .align-center {
        text-align: center !important;
    }

    .align-right, .right-align {
        text-align: right !important;
    }

    .gridbtn {
        width: 72px;
    }

    table.multi th .lvhdr a {
        color: Black;
    }

    #cn-body-inner-1col, #cn-body-inner-2col, #cn-body-inner-3col {
        border: 10px solid #FFF;
    }

    #cn-banner, #cn-banner-eng, #cn-banner-fra {
        float: left;
        width: 100%;
        min-height: 80px;
        margin-top: -35px;
        text-align: center;
        background-color: #045BA6;
        background-image: url(../images/ece-banner2.png);
        background-position: top center;
    }

    /* nested tableless table */
    .inner-nested {
        border-bottom: 1px solid #ccc;
        border-right: 1px solid #ccc;
        margin: 5px;
    }

        .inner-nested .inner-column {
            float: left;
            overflow: hidden;
        }

            .inner-nested .inner-column .inner-column-header {
                display: block;
                background-color: #bbb;
                border-top: 1px solid #ccc;
                border-left: 1px solid #ccc;
                color: #000;
                text-align: center;
                padding: 5px 5px 10px 5px;
                text-align: left;
                font-weight: bold;
                font-size: 98%;
                min-height: 26px;
            }

            .inner-nested .inner-column .inner-column-header-tall {
                display: block;
                background-color: #bbb;
                border-top: 1px solid #ccc;
                border-left: 1px solid #ccc;
                color: #000;
                text-align: center;
                padding: 5px 5px 10px 5px;
                text-align: left;
                font-weight: bold;
                font-size: 98%;
                min-height: 36px;
            }

            .inner-nested .inner-column .inner-column-cell {
                border-top: 1px solid #ccc;
                border-left: 1px solid #ccc;
                vertical-align: top;
                padding: 7px;
                font-size: 12px;
                min-height: 26px;
                line-height: 26px;
            }

    .inner-column-header a {
        color: Black;
    }

    .inner-column-header-tall a {
        color: Black;
    }

    .inner-column-48 {
        width: 48px;
    }

    .inner-column-73 {
        width: 73px;
    }

    .inner-column-85 {
        width: 85px;
    }

    .inner-column-100 {
        width: 100px;
    }

    .inner-column-110 {
        width: 110px;
    }

    .inner-column-120 {
        width: 120px;
    }

    .inner-column-125 {
        width: 125px;
    }

    .inner-column-130 {
        width: 130px;
    }

    .inner-column-135 {
        width: 135px;
    }

    .inner-column-160 {
        width: 160px;
    }

    .table-responsive-container {
        overflow-x: auto;
        width: 100%;
        height: 100%;
    }

    table.multi th.rowheader {
        border-top-color: #00406e;
        border-top-width: 3px;
        border-top-style: solid;
        background-color: White;
        color: Black;
        font-weight: normal;
        padding: 7px;
        vertical-align: top;
    }

    .userinfo {
        float: right;
        /*width:250px; */
        color: White;
        padding-top: 10px;
        padding-right: 10px;
        text-align: right;
    }

    .bld {
        font-weight: bold;
    }

    .multi a[href]:hover, a[href]:active, a[href]:focus {
        color: inherit;
    }

    /* reports */
    body table.report-view {
        margin: 10px 0;
    }

        body table.report-view .headerA th {
            color: #fff;
            font-weight: bold;
            background: #0059AB;
            border: solid 1px #ccc;
            text-align: center;
        }

        body table.report-view .hdr-filter {
            background: #C6DAF6;
            font-weight: normal;
            color: #000;
        }

        body table.report-view .hdr-b {
            background: #8FB4EE;
            font-weight: normal;
            color: #000;
        }

        body table.report-view th, body table.report-view td {
            padding: 3px;
            font-size: 10px;
        }

    body .report-parameters-select {
        width: 100%;
    }
        /*  body .report-parameters-select label {font-weight: bold;}  messes up list options, makes them bold */
        body .report-parameters-select .left-side {
            float: left;
            width: 240px;
            padding: 0 0 20px 0;
        }

        body .report-parameters-select .left-side2 {
            float: left;
            width: 480px;
            padding: 0 0 20px 0;
        }

        body .report-parameters-select .right-side1 {
            float: left;
            width: 240px;
            padding: 0 0 20px 0;
        }

        body .report-parameters-select .right-side2 {
            float: left;
            width: 240px;
            padding: 0 0 20px 0;
        }

        body .report-parameters-select .right-side3 {
            float: left;
            width: 480px;
            padding: 0 0 20px 0;
        }

        body .report-parameters-select hr {
            width: 100%;
            background: #ccc;
            height: 1px;
            border: none;
        }
    /* end reports */

    body .report-parameters-select2 {
        width: 50%;
        display: table
    }
        /* added display:table to fix display in ie 9  */
        body .report-parameters-select2 .left-side {
            float: left;
            width: 150px;
            padding: 0 0 0 0;
        }

        body .report-parameters-select2 .right-side1 {
            float: left;
            width: 50px;
            padding: 0 0 0 0;
        }

        body .report-parameters-select2 .right-side2 {
            float: left;
            width: 150px;
            padding: 0 0 0 0;
        }

    .search-ei-container {
        width: 690px;
    }

        .search-ei-container .select-box {
            width: 295px;
        }
}

/** Print-only CSS **/

@media print {

    a {
        color: #000000;
    }

    #cn-foot {
        padding-top: 15px;
    }

    #cn-cont {
        margin: 0;
        padding: 10px 0;
    }

    #cn-in-pd {
        border-top: 1px;
    }


    /* use to not to print */
    .noPrint {
        display: none;
    }

    #noPrint {
        display: none;
    }

    /* Make all text black and pages white: */
    body {
        color: #000000;
        background: #ffffff;
        font-family: "Times New Roman", Times, serif;
        font-size: 12pt;
    }

    /* bullet listings */
    .full-box, .half-box {
        margin: 0 0 10px 0;
        padding: 0;
        background: #ffffff;
        float: left;
        border: solid 3px #000000;
    }

    .full-box {
        width: 754px;
    }
    /*.half-box {width: 369px;} */
    .half-box {
        width: 314px;
        height: 300px;
        float: right;
        margin-top: 10px;
    }

    .half-box-left {
        margin-top: 10px;
        margin-right: 10px;
        float: left;
    }

    .full-box h3, .half-box h3 {
        padding: 10px 10px 0 10px;
        font-size: 1.2em;
        margin: 0;
        color: #045BA6;
        border-top: solid 3px #000000;
        font-family: Verdana,Arial,Helvetica,sans-serif;
        font-weight: bold;
    }

    .full-box div, .half-box div {
        margin: 10px;
    }

    .full-box ul, .half-box ul {
        margin: 10px 0;
        padding: 0 10px 10px 10px;
    }

        .full-box ul li, .half-box ul li {
            list-style: none;
            /*	    background-image: url("../images/c_b.gif"); */
            background-repeat: no-repeat;
            background-attachment: scroll;
            background-position: 0px 11px;
            background-clip: border-box;
            padding: 6px 2px 6px 14px;
            border-top: 1px dashed #000000;
            margin: 0;
        }

    ul li.last {
        border-bottom: 1px dashed #000000;
    }

    .full-box ul li a, .half-box ul li a {
        color: #00406E;
    }

    .full-box ul li.first, .half-box ul li.first {
        border-top: none
    }
}

.main-content-container {
    margin-right: 10px;
    margin-left: 10px;
    padding-top: 10px;
}

.popup-dialog {
    width: 500px;
}

    .popup-dialog .popup-dialog-title {
        color: #555;
        font-family: Sans-Serif;
        font-size: 130%;
        font-weight: 700;
        line-height: 150%;
    }

/* responsive style*/
@media only screen and (max-width: 960px) {
    /* scrollbar style */
    ::-webkit-scrollbar {
        width: 8px;
        height: 8px;
    }

    ::-webkit-scrollbar-track {
        background-color: #ddd;
    }

    ::-webkit-scrollbar-thumb {
        background-color: #aaa;
        border-radius: 10px;
    }

    .paging {
        float: none;
    }

    .ui-checkbox input, .ui-radio input {
        width: 15px !important;
        height: 15px !important;
        position: unset !important;
    }

    body .report-parameters-select2 {
        width: 100%;
        align-items: center;
    }
        /* added display:table to fix display in ie 9  */
        body .report-parameters-select2 .left-side {
            float: left;
            width: 100%;
            padding: 0;
        }

        body .report-parameters-select2 .right-side1 {
            float: left;
            width: 70px;
            padding: 0 10px 0px 0;
        }

        body .report-parameters-select2 .right-side2 {
            float: left;
            width: 200px;
            padding: 0;
        }

    .search-ei-container {
        width: 100%;
    }

        .search-ei-container .users-selection-container {
            display: inline-flex;
            overflow-x: auto;
            width: 100%;
        }

        .search-ei-container .select-buttons {
            width: 175px;
            margin: 0 10px;
        }

    .half-box {
        width: calc(100% - 6px);
        float: unset;
        height: auto;
    }

        .half-box.half-box-left {
            margin-right: 0;
            float: unset;
        }

    .table-responsive-container {
        overflow-x: auto;
    }

        .table-responsive-container table {
            position: relative;
            border-collapse: collapse;
        }

            .table-responsive-container table thead th {
                position: sticky;
                position: -webkit-sticky;
                top: 0;
                z-index: 999;
            }

    #gcwu-bc-in li {
        white-space: normal !important;
    }

    .popup-dialog {
        width: 350px !important;
    }
}

@media only screen and (max-width: 360px) {
    .popup-dialog {
        width: 250px !important;
    }
}
/* responsive style */
